
public class ArraysExamples {

	public static void main(String[] args) {
		// One-dimensional array declaration and creation
		int [] a;			// Declaration of an array of integers
		a = new int[6];		// Creation of 6 elements
		a[0] = 4;			// Element in position 0 is assigned value 4
		a[1] = 8;
		a[2] = 15;
		a[3] = 16;			// ...
		a[4] = 23;
		a[5] = 42;			// Element in position 5 is assigned value 42
		
		// a[6] = 100;			// ERROR! The array only has 6 positions
		
		System.out.println("The lenght of the a array is: " + a.length);
		
		// Print array
		System.out.println("0 element: " + a[0]);
		System.out.println("1 element: " + a[1]);
		System.out.println("2 element: " + a[2]);
		System.out.println("3 element: " + a[3]);
		System.out.println("4 element: " + a[4]);
		System.out.println("5 element: " + a[5]);
		
		// Change size and values
		a = new int[] {100, 101, 102};
		System.out.println("0 new element: " + a[0]);
		System.out.println("1 new element: " + a[1]);
		System.out.println("2 new element: " + a[2]);
		
		// Array assignment
		int [] b = new int[5];
		b[0] = 200;
		b[1] = 201;
		b[2] = 202;
		b[3] = 203;
		b[4] = 204;
		System.out.println("a length before assignment is: " + a.length);
		a = b;
		System.out.println("a length after assignment is: " + a.length);
		System.out.println("0 element of a is: " + a[0]);
		b[0] = 300;
		System.out.println("0 element of a after assignment is: " + a[0]);
		
		// Array copy
		int [] c;
		c = new int[b.length];
		System.arraycopy(b, 0, c, 0, b.length);
		System.out.println("0 element of c is: " + c[0]);
		c[0] = 500;
		System.out.println("0 element of c after copy is: " + c[0]);
		System.out.println("0 element of b after copy is: " + b[0]);
				
		// Two-dimensional array
		String [][] matrix = new String[2][3];
		matrix[0][0] = "Up-Left";
		matrix[0][1] = "Up";
		matrix[0][2] = "Up-Right";
		matrix[1][0] = "Down-Left";
		matrix[1][1] = "Down";
		matrix[1][2] = "Down-Right";
		System.out.println("Element 1x1: " + matrix[1][1]);
		
		// Change size and values
		matrix = new String[][] {
				{"AA", "AB"},
				{"BA", "BB"}				
		};
		System.out.println("Element 0x1: " + matrix[0][1]);
		// System.out.println("Element 2x0: " + matrix[2][0]); // ERROR!
		
		// Irregular arrays
		String [][] students;
		students = new String[2][];
		students[0] = new String[23];
		students[1] = new String[36];
		
		// students of the group 89
		students[0][0]  = "De Andres Lopez, G.";
		students[0][1]  = "Aubert Gilbart, P.";
		students[0][2]  = "Beltran de la Cita, J.";
		students[0][22] = "Zimmermann Casado, M.";	
		
		// students of the group 65
		students[1][0]  = "Alonso Martnez, C.M.";
		students[1][1]  = "Alvarez Fernandez, P.";
		students[1][2]  = "Amigo Herrera, V.";
		students[1][35] = "Ventero Pea, V.M."; 
		
			
	
	}
	

}
